Skip to content

# Module: "core-api/app"

## Index

### Variables

- appName
- isLinux
- isMac
- isSnap
- isWindows
- issuesTrackerUrl
- slackUrl
- version

### Functions

- getEnabledExtensions

## Variables

### `Const` appName

• appName: string = `${packageInfo.productName}${isDevelopment ? "Dev" : ""}`

Defined in src/common/vars.ts:16

### `Const` isLinux

• isLinux: boolean = process.platform === "linux"

Defined in src/common/vars.ts:9

### `Const` isMac

• isMac: boolean = process.platform === "darwin"

Defined in src/common/vars.ts:7

### `Const` isSnap

• isSnap: boolean = !!process.env.SNAP

Defined in src/common/vars.ts:11

### `Const` isWindows

• isWindows: boolean = process.platform === "win32"

Defined in src/common/vars.ts:8

### `Const` issuesTrackerUrl

• issuesTrackerUrl: "https://github.com/lensapp/lens/issues" = "https://github.com/lensapp/lens/issues"

Defined in src/common/vars.ts:44

### `Const` slackUrl

• slackUrl: "https://join.slack.com/t/k8slens/shared_invite/enQtOTc5NjAyNjYyOTk4LWU1NDQ0ZGFkOWJkNTRhYTc2YjVmZDdkM2FkNGM5MjhiYTRhMDU2NDQ1MzIyMDA4ZGZlNmExOTc0N2JmY2M3ZGI" = "https://join.slack.com/t/k8slens/shared_invite/enQtOTc5NjAyNjYyOTk4LWU1NDQ0ZGFkOWJkNTRhYTc2YjVmZDdkM2FkNGM5MjhiYTRhMDU2NDQ1MzIyMDA4ZGZlNmExOTc0N2JmY2M3ZGI"

Defined in src/common/vars.ts:45

### `Const` version

• version: string = getAppVersion()

Defined in src/extensions/core-api/app.ts:4

## Functions

### getEnabledExtensions

▸ getEnabledExtensions(): string[]

Defined in src/extensions/core-api/app.ts:7

Returns: string[]